name: Gitea Actions Demo
run-name: ${{ gitea.actor }} is testing out Gitea Actions 🚀
on: [push]

jobs:
  Deploy:
    runs-on: ubuntu-latest
    steps:
      - run: echo "🎉 The job was automatically triggered by a ${{ gitea.event_name }} event."
      - run: echo "🐧 This job is now running on a ${{ runner.os }} server hosted by Gitea!"
      - run: echo "🔎 The name of your branch is ${{ gitea.ref }} and your repository is ${{ gitea.repository }}."
      - name: Check out repository code
        uses: RouxAntoine/checkout@v3.5.4
      - run: echo "💡 The ${{ gitea.repository }} repository has been cloned to the runner."
      - run: echo "🖥️ The workflow is now ready to test your code on the runner."
      
      - name: Setup env
        run: |
          sudo apt update -y
          sudo apt install bundler -y   
        # 
        # baixar imagemagick       

      - run: cd ${{ gitea.workspace }}

      #- name: Video script
      #  run: ./script/script.sh

      - name: Setup bundle deps
        run: bundle install
      
      - name: Build
        run: bundle exec jekyll build
      - run: echo "🍏 This job's status is ${{ job.status }}."

      - name: Deploy to alice
        run: |
          echo "${{ secrets.SCP_KEY_ALICE }}" > /tmp/ssh_private_key
          chmod 600 /tmp/ssh_private_key
          mv _site aliceclass
          scp -o "StrictHostKeyChecking no" -i /tmp/ssh_private_key -P ${{ secrets.SSH_PORT_ALICE }} -r aliceclass act_runner@alice.ufsj.edu.br:/var/www/html         
      
      - run: echo "🍏 This job's status is ${{ job.status }}."
